Subject: Re: bug#67623: [PATCH 0/3 gnome-team]: Require zlib in gdk-3.0.pc.

From: Jean-Pierre De Jesus Diaz <[email-masked]>
Date: Fri, 5 Jan 2024 16:43:47 +0000

Hello,

On Thu, Jan 4, 2024 at 8:12 PM Liliana Marie Prikler
<[email-masked]> wrote:
>
> Am Mittwoch, dem 03.01.2024 um 22:34 +0000 schrieb Jean-Pierre De Jesus
> Diaz:
> > I've searched on the GNOME's GitLab instance for related issues but
> > found none so instead filed this one:
> >
> > https://gitlab.gnome.org/GNOME/gtk/-/issues/6306
> >
> > Thanks,
> As reported upstream, this doesn't look like an abuse of the pkg-config
> though, more like only zlib missing as propagated input.  Do you have
> an instance where the pkg-config variable is not resolved correctly?
>
> Cheers
>

The coq-ide package fails to build because ocaml-lablgtk3-sourceview3 isn't
able to find zlib correctly, I guess adding it to propagated-inputs would also
solve the problems though as libz.so should then be in the search paths.

-- 
Jean-Pierre De Jesus DIAZ
Foundation Devices, Inc.